### Function

# Meta KeymapDescription new_from_rules

#### Declaration [src]

    MetaKeymapDescription*
    meta_keymap_description_new_from_rules (
      const char* model,
      const char* layout,
      const char* variant,
      const char* options,
      GStrv display_names,
      GStrv short_names
    )

#### Description

No description available.

#### Parameters

`model`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`layout`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`variant`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`options`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`display_names`

  Type: An array of `utf8`

  No description available.

  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`short_names`

  Type: An array of `utf8`

  No description available.

  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `MetaKeymapDescription`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.